/********************************************************************************
 * ePIMSs $Source$
 * ePIMSs $Project$
 *
 * Copyright (c) 2006 - 2011 by ePIMS						 
 *
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written 
 * permission of the author.	
 *	
 * Removing this notice and using the application does NOT negate the legal 
 * copyright notice.	
 *
 * @initialAPIImplementationBy St Clair Clarke
 *  
 * @author $Author$
 *
 * @source $Source$
 * @path $FPath$
 * @project $Project$
 * @generics $Generics$
 *
 * @lastChangedBy	 $Author$
 * @lastChangedDate $Date$
 *
 * @version $Revision$ $Date$
 *
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/



package _com.epimss.lab.data.misc


import groovy.beans.Bindable

import javax.jdo.annotations.Index
import javax.jdo.annotations.PersistenceCapable



/**
 * The domain|UI model for the {@link} UI. TODO!
 *
 * @created  January 4, 2011, 11:08:29 PM by St Clair Clarke
 * @since    1.0
 * @version  $Revision$ $Date$
 */
@Bindable
@PersistenceCapable
class RequestDateAndNumber
{
    @Index
    BigInteger number = 0
    
    @Index
    BigInteger mrn = 0;
    
    @Index
    Date requestDateAndTime = new Date()
    
    @Index
    Date testDateAndTime = new Date()
}   // end class LabNumberRqst
