/********************************************************************************
 * ePIMSs $Source$
 * ePIMSs $Project$
 *
 * Copyright (c) 2006 - 2011 by ePIMSs						 
 *
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written 
 * permission of the author.	
 *	
 * Removing this notice and using the application does NOT negate the legal 
 * copyright notice.	
 *
 * @initialAPIImplementationBy St Clair Clarke
 *  
 * @author $Author$
 *
 * @source $Source$
 * @path $FPath$
 * @project $Project$
 * @generics $Generics$
 *
 * @lastChangedBy	 $Author$
 * @lastChangedDate $Date$
 *
 * @version $Revision$ $Date$
 *
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/


package _com.epimss.lab.ui.util;

import org.eclipse.swt.widgets.Button
import org.eclipse.swt.widgets.Text

import com.richclientgui.toolbox.propagate.PropagateGroup;


/**
 * The domain|UI model for the {@link} UI. TODO!
 *
 * @created  June 22, 2011 9:58:57 AM by St Clair Clarke
 * @since    1.0
 * @version  $Revision$ $Date$
 */
class WidgetEventValidator
{
    //    Button cBtn
    //    Button[] cBtns
    //
    //    PropagateGroup[] ppgteGrps
    
    
    static Boolean onCheckButtonSelectionEvent(Button cBtn, Button[] cBtns)
    {
        if( cBtn.getSelection() )
        {
            for( int i = 0; i < cBtns.length; i++ )
            {
                if( cBtns[ i ].getSelection() )
                {
                    return true
                }
            }
        } // end if
        else
            return false
        
    }
    
    static void onOtherCheckButtonSelectionEvent( Button otherCBtn, PropagateGroup otherPrpgteGrp, Text txt)
    {
        if( otherCBtn.getSelection() )
        {
            otherPrpgteGrp.setVisible( true );
            
        }
        else
        {
            txt.text = ''
            otherPrpgteGrp.setVisible( false );
            
        }   // end if-else
    }
    
    
    static Boolean onTextModifyEventSizeValidator(Text txt, Integer length )
    {
        if( txt.text.size() >= length )
        {
            return true
        }
        else
            return false
    } // end if
    
    
    
}   // end class WidgetSelectionValidator
